#include "sort.h"
#include "system.h"
#include "stdio.h"

//-------------------------------------*/
void sort(unsigned int *base, unsigned int n, sort_t type)
{
  switch(type)
  {
  case SORT_SHELL:
    sort_shell(base, n);
    break;
  case SORT_SELECTION:
    sort_selection(base, n);
    break;
  case SORT_INSERTION:
    sort_insertion(base, n);
    break;
  case SORT_BUBBLE:
    sort_bubble(base, n);
    break;
  default:
    break;
  }
}
